corda / net.corda.node.services.messaging / RPCException

# RPCException

`open class RPCException : RuntimeException`

Thrown to indicate a fatal error in the RPC system itself, as opposed to an error generated by the invoked method.

### Exceptions

DeadlineExceeded | `class DeadlineExceeded : RPCException`

### Constructors

<init> | `RPCException(msg: String)``RPCException(msg: String, cause: Throwable?)` Thrown to indicate a fatal error in the RPC system itself, as opposed to an error generated by the invoked method.

### Extension Properties

rootCause | `val Throwable.rootCause: Throwable`

### Inheritors

DeadlineExceeded | `class DeadlineExceeded : RPCException`